param (
  [string] $SQLSERVER = $(Read-Host -prompt "Server"),
  [string] $Database = $(Read-Host -prompt "Database"),
  [string] $user = $(Read-Host -prompt "User id"),
  [string] $password = $(Read-Host -assecurestring -prompt "Password")
)

$SqlConnection = New-Object System.Data.SqlClient.SqlConnection
$SqlConnection.ConnectionString = "server=$SQLSERVER;database=$Database;user id=$user;password=$password;Trusted_Connection=no"

$SqlCmd = New-Object System.Data.SqlClient.SqlCommand
$SqlCmd.CommandText = "select name from sys.tables"
$SqlCmd.Connection = $SqlConnection

$SqlAdapter = New-Object System.Data.SqlClient.SqlDataAdapter
$SqlAdapter.SelectCommand = $SqlCmd

$DataSet = New-Object System.Data.DataSet
$SqlAdapter.Fill($DataSet) > $null
$SqlConnection.Close()

$DataSet.Tables[0]

